<?php

namespace App\Core\Validator\PropertyPlace;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;
use Exception;
use App\Core\Validator\BaseValidator;

class PropertyPlaceFactMappingUpdateValidator extends BaseValidator
{

    public function __construct
    (
        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);
    }

    public function rules($params = null)
    {
        return
            [
                "property_id" => 'required|numeric',
                "place_id" => 'required|numeric',
                "place_fact_title_fact_mapping_id" => 'required|numeric',
                "is_selected" => "required|boolean",

            ];
    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }



    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
